Bug 1290146 - Only one display of two is activated with Wayland-based Gnome session
Only one display of two is activated with Wayland-based Gnome session
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-12-09 13:20 EST by Joonas Sarajärvi
Modified: 2017-12-12 06:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:09:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from a boot where the issue was present (106.30 KB, text/plain)
2015-12-09 13:40 EST, Joonas Sarajärvi
no flags Details
journalctl -ab output (293.97 KB, text/x-vhdl)
2016-09-30 14:31 EDT, Joonas Sarajärvi
no flags Details

  None (edit)
Description Joonas Sarajärvi 2015-12-09 13:20:01 EST
Description of problem:

Initially only one display is activated. If I am lucky, it is the one that shows the GDM login UI. If unlucky, the display with a login UI stays at standby.

The inactive display also stays inactive when logged into Gnome. Window management behaves as if there is a second display. I can e.g. "lose" my mouse cursor to the area that should be shown in the inactive display.

The second display gets properly activated if I do one of these:
 - Stay idle until the active screen goes standby. Then e.g. poke the mouse
   which wakes up displays as it usually does. Now both displays work properly.
 - Change resolution of the inactive display and change it back.
 - Log into an XFCE session or KDE session.

When the system has managed to once get both displays working, they seem to work as expected.

Version-Release number of selected component (if applicable):

gnome-session-3.19.2-0.1.20151111git858812a7.fc24.x86_64
mutter-3.19.2-1.fc24.x86_64
gnome-shell-3.19.2-2.fc24.x86_64

(No idea about which component is most related)

How reproducible:
Always.

Steps to Reproduce:
1. have system with two displays
2. systemctl --force enable gdm
3. reboot
4. wait for GDM to show up

Actual results:
One display is left into standby.

Expected results:
One of:
  - both displays active in GDM and Gnome
  - GDM UI always shown in an active display, and both displays
    active once logged in.
Comment 1 Joonas Sarajärvi 2015-12-09 13:40 EST
Created attachment 1104084 [details]
dmesg from a boot where the issue was present

Since this is somewhat hardware-related, I guess it would be useful to provide some more details on that.

output of lspci:
00:00.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h Processor Root Complex
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] BeaverCreek [Radeon HD 6550D]
00:01.1 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] BeaverCreek HDMI Audio [Radeon HD 6500D and 6400G-6600G series]
00:10.0 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB XHCI Controller (rev 03)
00:10.1 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB XHCI Controller (rev 03)
00:11.0 SATA controller: Advanced Micro Devices, Inc. [AMD] FCH SATA Controller [AHCI mode] (rev 40)
00:12.0 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB OHCI Controller (rev 11)
00:12.2 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB EHCI Controller (rev 11)
00:13.0 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB OHCI Controller (rev 11)
00:13.2 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB EHCI Controller (rev 11)
00:14.0 SMBus: Advanced Micro Devices, Inc. [AMD] FCH SMBus Controller (rev 13)
00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD] FCH Azalia Controller (rev 01)
00:14.3 ISA bridge: Advanced Micro Devices, Inc. [AMD] FCH LPC Bridge (rev 11)
00:14.4 PCI bridge: Advanced Micro Devices, Inc. [AMD] FCH PCI Bridge (rev 40)
00:14.5 USB controller: Advanced Micro Devices, Inc. [AMD] FCH USB OHCI Controller (rev 11)
00:15.0 PCI bridge: Advanced Micro Devices, Inc. [AMD] Hudson PCI to PCI bridge (PCIE port 0)
00:15.1 PCI bridge: Advanced Micro Devices, Inc. [AMD] Hudson PCI to PCI bridge (PCIE port 1)
00:15.2 PCI bridge: Advanced Micro Devices, Inc. [AMD] Hudson PCI to PCI bridge (PCIE port 2)
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 0 (rev 43)
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 1
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 2
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 3
00:18.4 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 4
00:18.5 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 6
00:18.6 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 5
00:18.7 Host bridge: Advanced Micro Devices, Inc. [AMD] Family 12h/14h Processor Function 7
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
04:00.0 Network controller: Qualcomm Atheros AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

Output of xrandr -q (I do not know what would be a Wayland-native equivalent):
XWAYLAND0 connected 1360x768+1280+0 410mm x 230mm
   1360x768@0.1Hz   0.00*+
XWAYLAND1 connected 1280x1024+0+0 330mm x 270mm
   1280x1024@0.1Hz   0.00*+

Attached is dmesg from the current boot.
Comment 2 Jan Kurik 2016-02-24 09:07:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Joonas Sarajärvi 2016-09-06 14:26:44 EDT
This issue is still present in Fedora 25 Alpha.
Comment 4 Joonas Sarajärvi 2016-09-30 14:28:33 EDT
Still present for me, using the (currently) latest branched compose image at [1].

Quick rehash on how this looks. It has basically been the same since I noticed the problem. If I open the "Displays" tool from gnome, it shows the secondary display as "on" and at the correct resolution, despite that the display stays off.

Now if I "turn off" the display from the gnome setup UI, it stays off but now the UI and hardware agree with each other. And then if I again switch the display to the On state, it really gets activated and functions as I would expect it to normally function.

[1] https://kojipkgs.fedoraproject.org/compose/branched/Fedora-25-20160930.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-25-20160930.n.0.iso
Comment 5 Joonas Sarajärvi 2016-09-30 14:31 EDT
Created attachment 1206335 [details]
journalctl -ab output
Comment 6 Fedora End Of Life 2017-11-16 13:46:09 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-12-12 06:09:22 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.